%define name gnomeicu
%define release 8mdk
%define version 0.93
%define url ftp://gnomeicu.gdev.net/pub

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Summary: Gnome ICQ communications program 
Group: Networking/Instant messaging
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel gdbm-devel imlib-devel gnome-core zlib-devel
Source: %{url}/%{name}/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
URL: http://gnomeicu.gdev.net/	
#Icon: gnomeicu-logo.xpm
Requires: gtk+ >= 1.2.0 gnome-libs >= 1.0.53 ORBit >= 0.5.0
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The original
source was taken from Matt Smith's mICQ. This is ment as a replacement for the
JavaICQ, which is slow and buggy.

%prep
%setup -q
  
%build
FLAGS=""
%ifarch alpha
  FLAGS="--without-xss"
%endif
%configure $FLAGS

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/
cp $RPM_BUILD_ROOT%{_datadir}/applets/Network/GnomeICU.desktop \
    $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/

# mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(gnomeicu):\
needs="x11"\
section="Networking/Instant messaging"\
title="GnomeICU"\
longtitle="Gnome ICQ communications program"\
command="gnomeicu -a"\
icon="gnomeicu.xpm"
EOF

# mdk icon
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%find_lang gnomeicu

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%files -f gnomeicu.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO
%{_bindir}/gnomeicu
%{_sysconfdir}/CORBA/servers/*
%{_sysconfdir}/sound/events/*
%{_datadir}/applets/Network/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help
%{_datadir}/sounds
%{_iconsdir}
%{_menudir}

%changelog
* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-8mdk
- ok! u can run it everywhere.

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-7mdk
- fix silly bug (gnomeicu run only under gnome) 
- add locales.
- provide all mdk menu icons.
- menu entry embedded in spec.

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-6mdk
- Use find_lang

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-5mdk
- Modified menu hiearchy too... 

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-4mdk
- Changed Group.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.93-3mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.93-2mdk
- Fix alpha support.
- Macros.
- BM.

* Tue Jun 13 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-1mdk
- 0.93

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- added menu entry

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.92-1mdk
- release from helix 
- SMP build/check
- Alpha Support.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.90b-2mdk
- fix group

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90b

* Wed Jan 12 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90

* Mon Dec 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.68
- Added INSTALL

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.67

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.66
- make the %files section mroe generic
- added translations
- added help file

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo some specfile
- Update to 0.65 
- Update Source URL

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
